topn.cc File Reference

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions | Variables
topn.cc File Reference
`#include "osl/rating/featureSet.h"`
`#include "osl/rating/ratingEnv.h"`
`#include "osl/effect_util/effectUtil.h"`
`#include "osl/state/numEffectState.h"`
`#include "osl/stl/vector.h"`
`#include "osl/record/csa.h"`
`#include "osl/record/csaRecord.h"`
`#include "osl/record/kisen.h"`
`#include "osl/progress/effect5x3.h"`
`#include "osl/stat/average.h"`
`#include "osl/stat/histogram.h"`
`#include <boost/program_options.hpp>`
`#include <iostream>`
`#include <cmath>`
Include dependency graph for topn.cc:

Go to the source code of this file.

## Functions
void | run (NumEffectState &state, const vector< Move > &moves)
void | show_statistics ()
int | main (int argc, char **argv)
void | show (const NumEffectState &state, Move next)

## Variables
size_t | num_kisen
size_t | opening_skip
size_t | target_limit
CArray< stat::Average, 8 > | top_rated
CArray< stat::Average, 8 > | active

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 26 of file topn.cc.

References kisen_filename, moves, num_kisen, opening_skip, run(), show_statistics(), store(), target_limit, and vm.

void run | ( | NumEffectState & | state,
|  | const vector< Move > & | moves
| ) |  |

Definition at line 120 of file topn.cc.

References osl::alt(), opening_skip, and osl::record::csa::show().

void show | ( | const NumEffectState & | state,
|  | Move | next
| ) |  |

Definition at line 96 of file topn.cc.

References active, osl::stat::Average::add(), feature_set(), osl::rating::FeatureSet::generateLogProb(), osl::MoveLogProb::logProb(), osl::rating::RatingEnv::make(), moves, target_limit, and top_rated.

void show_statistics | ( | ) |  |

## Variable Documentation

CArray<stat::Average,8> active

Definition at line 94 of file topn.cc.

Referenced by show().

size_t num_kisen

Definition at line 21 of file topn.cc.

size_t opening_skip

Definition at line 21 of file topn.cc.

Referenced by main(), and run().

size_t target_limit

Definition at line 21 of file topn.cc.

Referenced by main(), and show().

CArray<stat::Average,8> top_rated

Definition at line 94 of file topn.cc.